%define fw_version 5.24

Summary:	KDE Frameworks 5 Qt Designer/Creator integration module
Name:		kdesignerplugin
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-designer
BuildRequires:	qt5-linguist-tools
BuildRequires:	kcompletion-devel >= %{version}
BuildRequires:	kconfig-devel >= %{version}
BuildRequires:	kconfigwidgets-devel >= %{version}
BuildRequires:	kcoreaddons-devel >= %{version}
BuildRequires:	kdbusaddons-devel >= %{version}
BuildRequires:	kdoctools-devel >= %{version}
BuildRequires:	kiconthemes-devel >= %{version}
BuildRequires:	kio-devel >= %{version}
BuildRequires:	kitemviews-devel >= %{version}
BuildRequires:	kplotting-devel >= %{version}
BuildRequires:	kservice-devel >= %{version}
BuildRequires:	ktextwidgets-devel >= %{version}
BuildRequires:	kwidgetsaddons-devel >= %{version}
BuildRequires:	kdewebkit-devel >= %{version}
BuildRequires:	kxmlgui-devel >= %{version}
BuildRequires:	sonnet-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	%{name}-i18n

%description
KDE Frameworks 5 Qt Designer/Creator integration module.

This framework provides plugins for Qt Designer that allow it to display
the widgets provided by various KDE frameworks, as well as a utility
(kgendesignerplugin) that can be used to generate other such plugins
from ini-style description files.

%files
%{_kde5_bindir}/kgendesignerplugin
%{_kde5_datadir}/kf5/widgets/pics/*.png
%{_kde5_mandir}/man1/kgendesignerplugin.1*
%{_qt5_plugindir}/designer/kdewebkit5widgets.so
%{_qt5_plugindir}/designer/kf5widgets.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDesignerPlugin translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDesignerPlugin translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define devkf5designerplugin %mklibname kf5designerplugin -d

%package -n %{devkf5designerplugin}
Summary:	Development files for KDE Frameworks 5 Qt Designer/Creator integration module
Group:		Development/KDE and Qt
Requires:	%{name}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5designerplugin-devel = %{version}

%description -n %{devkf5designerplugin}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5designerplugin}
%{_kde5_libdir}/cmake/KF5DesignerPlugin

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (2e047d5) New version 5.24.0


